@echo off							
TITLE WA1300 Ethernet Flash-Programing			
COLOR 07							
cls							
echo ******************************************************
echo **This procedure does one step program.             **	
echo **This procedure needs RJ45 cross over line         **		
echo **  connectted to PC and properly setting           **	
echo **  of Ethernet TCP/IP in PC.                       **	
echo **   Attention: If ether step appear error          **	
echo **    message, check RJ45 and Ethernet setting.     **	
echo **Setting of Target Board before program:           **	
echo **               IP: 192.168.1.90                   **	
echo **Default Setting of Target Board after program:    **	
echo **               IP: 192.168.1.99                   **		
echo **If device is ready, press any key to continue.    **	
echo **Otherwise, Ctrl+C to leave.                       **	
echo ******************************************************
@pause											
set DefaultIP=%1
IF "%DefaultIP%"=="" set DefaultIP=192.168.1.90		
set ImgBIN=station-boot.bin			
:Ethernet							
cls							
echo ******************************************************
echo **        Programming image from Ethernet ........  **	
echo ******************************************************
arp -d 2>nul						
ping -n 3 %DefaultIP% >~tmp				
find "Reply from" ~tmp 1>nul				
if ERRORLEVEL 1 goto :MsgEthernetError			
tftp -i %DefaultIP% put %ImgBIN% / 1>nul 2>nul		
if ERRORLEVEL 1 goto :MsgEthernetError			
if ERRORLEVEL 0 goto :MsgEthernetOK			
:MsgEthernetOK						
del ~tmp 2>nul						
echo **Success !                                         **			
echo ******************************************************
echo **Press any key to leave                            **	
echo ******************************************************			
goto :end							
:MsgEthernetError						
del ~tmp 2>nul						
COLOR 0C								
echo **Ethernet transmit failed!                         **	
echo ******************************************************
echo **Press any key to leave                            **	
echo ******************************************************
goto :end							
:end							
pause							
COLOR 07							
